Bug 433746 - Fedora 9 Alpha Luks Passphrase entry broken when using USB keyboard
Fedora 9 Alpha Luks Passphrase entry broken when using USB keyboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 00:40 EST by Jared Robinson
Modified: 2009-07-14 11:42 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:42:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared Robinson 2008-02-21 00:40:43 EST
Description of problem:

Can't enter LUKS passphrase using USB keyboard unless I unplug it and re-connect
it. PS2 works fine.

Version-Release number of selected component (if applicable):


How reproducible: Always, on my hardware: A Sony Vaio desktop -- about five
years old. 2.4 Ghz & USB 2.0. I'm using an older Microsoft Natural keyboard that
has both a USB connector and a PS2 connector.

Steps to Reproduce:
1. Install Fedora 9 Alpha
2. Choose to encrypt disk
3. Reboot with USB keyboard connected
4. At the LUKS passphrase prompt, try entering a password, and press ENTER.
Nothing will happen.
5. Disconnect the USB keyboard, and reconnect it. It will be recognized, and
keyboard will function properly.
  
Actual results:
USB keyboard is inactive at LUKS passphrase prompt until reconnected

Expected results:
USB keyboard would be active for LUKS passphrase entry.
Comment 1 Till Maas 2008-03-03 16:43:06 EST
I am pretty sure that this is not a bug of cryptsetup. Initscripts is a little
bit closer, but maybe it is a bug in hal or the kernel? I do not know.

Do you see any characters when you type them before the LUKS passphrase prompt
is displayed?
Comment 2 Bill Nottingham 2008-03-03 20:36:34 EST
This is well before initscripts.
Comment 3 Jared Robinson 2008-03-04 07:34:47 EST
The USB Keyboard works at the GRUB prompt. Keyboard input does not work at any
point during the boot process before or during the LUKS passphrase -- until I
disconnect and reconnect the keyboard, at which point, the following appears on
the console:

usb 4-1: configuration #1 chosen from 1 choice
hub 4-1:1.0: USB hub found
hub 3-1:1.0: 3 ports detected
usb 4-1.1: new low speed USB device using ohci_hcd and address 3
usb 4-1.1: configuration #1 chosen from 1 choice
input: Microsoft Natural Keyboard Pro as
/devices/pci0000:00/0000:00:03.2/usb4/4-1/4-1.1/4-1.1:1.0/input/input1
input,hidraw0: USB HID v1.10 Keyboard [Microsoft Natural Keyboard Pro] on
usb-0000:00:03.2-1.1
input: Microsoft Natural Keyboard Pro as
/devices/pci0000:00/0000:00:03.2/usb4/4-1/4-1.1/4-1.1:1.1/input/input2
input,hidraw1: USB HID v1.10 Device [Microsoft Natural Keyboard Pro] on
usb-0000:00:03.2-1.1
Comment 4 Till Maas 2008-03-04 07:56:34 EST
Can you maybe test, e.g. with a LiveCD, at which point without reconnecting the
keyboard it works on the console?
Comment 5 Jared Robinson 2008-03-04 08:05:03 EST
I've inserted the Fedora 8 install CD. When it gets to the 'test the media'
screen, keyboard input does not work.

I've inserted the Fedora 7 Live CD. Keyboard input works immediately after it
loads initrd.img -- at the very beginning of the boot sequence.
Comment 6 Bug Zapper 2008-05-14 01:19:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jeremy Katz 2009-05-05 17:47:35 EDT
Based on comment #5, this looks more like a kernel problem
Comment 8 Bug Zapper 2009-06-09 19:36:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 11:42:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.